Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PG_ObjectGroup_Map_Entry Struct Reference

Value field of the ObjectGroup map. More...

`#include <PG_ObjectGroup_Map.h>`

Collaboration diagram for TAO_PG_ObjectGroup_Map_Entry:

[legend]
List of all members.

## Public Attributes
CORBA::String_var | type_id
CORBA::ULong | group_id
| This is the PortableGroup::ObjectGroupId.
PortableGroup::ObjectGroup_var | object_group
| Reference to the ObjectGroup.
TAO_PG_MemberInfo_Set | member_infos
PortableGroup::Properties | properties

## Detailed Description

Value field of the ObjectGroup map.

## Member Data Documentation

CORBA::ULong TAO_PG_ObjectGroup_Map_Entry::group_id

| This is the PortableGroup::ObjectGroupId. The spec states that PortableGroup::ObjectGroupId is a CORBA::ULongLong. However, the over 4 billion group IDs that can be represented by a CORBA::ULong should be plenty for any application.

TAO_PG_MemberInfo_Set TAO_PG_ObjectGroup_Map_Entry::member_infos

| Unbounded set containing member references and all related information for each member.

PortableGroup::ObjectGroup_var TAO_PG_ObjectGroup_Map_Entry::object_group

| Reference to the ObjectGroup.

PortableGroup::Properties TAO_PG_ObjectGroup_Map_Entry::properties

| Properties used when creating this object group, in addition to those set dynamically after the creation.

CORBA::String_var TAO_PG_ObjectGroup_Map_Entry::type_id

| The RepositoryId corresponding to all Members in the ObjectGroup.

The documentation for this struct was generated from the following file:

- PG_ObjectGroup_Map.h